image: registry.gitlab.com/wescalefr-oss/container-images/workspaces/docker

services:
  - docker:dind

variables:
  WORKING_DIR_VOLUME: /builds/$CI_PROJECT_PATH

stages:
  - pre-commit
  - build

pre-commit:
  stage: pre-commit
  script:
# Running pre-commit steps on every files
    - pre-commit run -a

build:
  stage: build
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE" .
    - docker push "$CI_REGISTRY_IMAGE"
  only:
    - master
